/**
 * Copyright (c) 2000-present Liferay, Inc. All rights reserved.
 *
 * The contents of this file are subject to the terms of the Liferay Enterprise
 * Subscription License ("License"). You may not use this file except in
 * compliance with the License. You can obtain a copy of the License by
 * contacting Liferay, Inc. See the License for the specific language governing
 * permissions and limitations under the License, including but not limited to
 * distribution rights of the Software.
 *
 *
 *
 */

package com.liferay.portal.configuration.metatype.definitions.annotations.internal;

import com.liferay.portal.configuration.metatype.definitions.ExtendedMetaTypeInformation;
import com.liferay.portal.configuration.metatype.definitions.ExtendedObjectClassDefinition;

import org.osgi.framework.Bundle;
import org.osgi.service.metatype.MetaTypeInformation;

/**
 * @author Iván Zaera
 */
public class AnnotationsExtendedMetaTypeInformation
	implements ExtendedMetaTypeInformation {

	public AnnotationsExtendedMetaTypeInformation(
		Bundle bundle, MetaTypeInformation metaTypeInformation) {

		_bundle = bundle;
		_metaTypeInformation = metaTypeInformation;
	}

	@Override
	public Bundle getBundle() {
		return _metaTypeInformation.getBundle();
	}

	@Override
	public String[] getFactoryPids() {
		return _metaTypeInformation.getFactoryPids();
	}

	@Override
	public String[] getLocales() {
		return _metaTypeInformation.getLocales();
	}

	@Override
	public ExtendedObjectClassDefinition getObjectClassDefinition(
		String id, String locale) {

		return new AnnotationsExtendedObjectClassDefinition(
			_bundle, _metaTypeInformation.getObjectClassDefinition(id, locale));
	}

	@Override
	public String[] getPids() {
		return _metaTypeInformation.getPids();
	}

	private final Bundle _bundle;
	private final MetaTypeInformation _metaTypeInformation;

}